package bdc;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

public class CategoryForm extends ActionForm {

  protected String categoryid;
  protected String categoryname;

  public void setCategoryid(String categoryid)
  {
    this.categoryid = categoryid;
  }

  public String getCategoryid()
  {
    return categoryid;
  }

  public void setCategoryname(String categoryname)
  {
    this.categoryname = categoryname;
  }

  public String getCategoryname()
  {
    return categoryname;
  }



  // Called Everytime, Resets the form attributes
  //before sending values, in new request
 public void reset(ActionMapping mapping, HttpServletRequest request)
  {

	this.categoryid = "";
	this.categoryname = "";

  }

  public ActionErrors validate(ActionMapping mapping,
    HttpServletRequest request) {

         System.out.println("insideactionerrors");
    ActionErrors errors = new ActionErrors();

    LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

    // Check to see whether user needs to be logged in
    if ( loginMapping.isLoginRequired() ) {

      HttpSession session = request.getSession();
      if ( session.getAttribute("USER") == null ) {
          System.out.println("notloggedin");
        //force login
        return null;
      }
    }

    if ( (categoryname == null ) || (categoryname.length() == 0) || categoryname.length() > 40) {

      errors.add("categoryname", new ActionError("errors.categoryname.length"));

    }

   if ( (categoryid == null ) || (categoryid.length() == 0) || categoryid.length() > 40) {

	      errors.add("categoryid", new ActionError("errors.categoryid.length"));

    }

    return errors;
  }
}
