package bdc;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

public class CustomerForm extends ActionForm {

  protected String username;
  protected String password;
  protected String firstname;
  protected String lastname;
  protected String streetname;
  protected String streetnumber;
  protected String city;
  protected String province;
  protected String postal;
  protected String ccname;
  protected String ccnumber;
  protected String ccyear;
  protected String ccmonth;

  protected String email;

  public void setUsername(String username)
  {
    this.username = username;
  }

  public String getUsername()
  {
      return username;
  }

  public void setPassword(String password)
  {
      this.password = password;
  }
  public String getPassword()
  {
      return password;
  }

  public void setFirstname(String firstname)
  {
      this.firstname = firstname;
  }
  public String getFirstname()
  {
      return firstname;
  }

  public void setLastname(String lastname)
  {
      this.lastname = lastname;
  }
  public String getLastname()
  {
      return lastname;
  }

  public void setStreetname(String streetname)
  {
       this.streetname = streetname;
  }
  public String getStreetname()
  {
        return streetname;
  }

  public void setStreetnumber(String streetnumber)
  {
     this.streetnumber = streetnumber;
  }
  public String getStreetnumber()
  {
      return streetnumber;
  }

  public void setCity(String city)
  {
     this.city = city;
  }
  public String getCity()
  {
      return city;
  }

  public void setProvince(String province)
  {
     this.province = province;
  }
  public String getProvince()
  {
      return province;
  }

  public void setPostal(String postal)
  {
     this.postal = postal;
  }
  public String getPostal()
  {
      return postal;
  }

  public void setCcname(String ccname)
  {
     this.ccname = ccname;
  }
  public String getCcname()
  {
      return ccname;
  }

  public void setCcnumber(String ccnumber)
  {
    this.ccnumber = ccnumber;
  }
  public String getCcnumber()
  {
    return ccnumber;
  }

  public void setCcyear(String ccyear)
  {
    this.ccyear = ccyear;
  }
  public String getCcyear()
  {
    return ccyear;
  }


    public void setCcmonth(String ccmonth)
    {
      this.ccmonth = ccmonth;
    }
    public String getCcmonth()
    {
      return ccmonth;
  }


  public void setEmail(String email)
  {
    this.email = email;
  }
  public String getEmail()
  {
    return email;
  }


  // Called Everytime, Resets the form attributes
  //before sending values, in new request
 public void reset(ActionMapping mapping, HttpServletRequest request)
  {
   	 this.username="";
     this.password="";
     this.firstname="";
     this.lastname="";
     this.streetname="";
     this.streetnumber="";
     this.city="";
  	 this.province="";
     this.postal="";
  	 this.ccname="";
 	 this.ccnumber="";

  }

  public ActionErrors validate(ActionMapping mapping,
    HttpServletRequest request) {

    ActionErrors errors = new ActionErrors();


    if ( (username == null ) || (username.length() == 0) || username.length() > 40)
    {
      errors.add("username", new ActionError("errors.username.length"));
    }
    if ( (password == null ) || (password.length() == 0) || password.length() > 40)
    {
	      errors.add("password", new ActionError("errors.password.length"));
	}
    if ( (firstname == null ) || (firstname.length() == 0) || firstname.length() > 40)
    {
      errors.add("firstname", new ActionError("errors.firstname.length"));
    }
    if ( (lastname == null ) || (lastname.length() == 0) || lastname.length() > 40)
    {
      errors.add("lastname", new ActionError("errors.lastname.length"));
    }
    if ( (streetname == null ) || (streetname.length() == 0) || streetname.length() > 40)
    {
      errors.add("streetname", new ActionError("errors.streetname.length"));
    }
    if ( (streetnumber == null ) || (streetnumber.length() == 0) || streetnumber.length() > 40)
    {
      errors.add("streetnumber", new ActionError("errors.streetnumber.length"));
    }
    if ( (city == null ) || (city.length() == 0) || city.length() > 40)
    {
      errors.add("city", new ActionError("errors.city.length"));
    }
    if ( (province == null ) || (province.length() == 0) || province.length() > 40)
    {
      errors.add("province", new ActionError("errors.province.length"));
    }
    if ( (postal == null ) || (postal.length() == 0) || postal.length() > 40)
    {
      errors.add("postal", new ActionError("errors.postal.length"));
    }
    if ( (ccname == null ) || (ccname.length() == 0) || ccname.length() > 40)
    {
      errors.add("ccname", new ActionError("errors.ccname.length"));
    }
    if ( (ccnumber == null ) || (ccnumber.length() == 0) || ccnumber.length() < 16)
    {
      errors.add("ccnumber", new ActionError("errors.ccnumber.length"));
    }
    if ((email == null ) || (email.length() == 0) || email.length() > 40)
	{
	      errors.add("email", new ActionError("errors.email.length"));
    }

    return errors;
  }
}

