package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.ArrayList;

public class CustomerListAction extends Action {


  protected ActionForm buildCustomerForm(String username) throws Exception  {

    Customer customer = null;
    ArrayList customers = new ArrayList();
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;
    CustomerForm form= null;

    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
      context.getAttribute(Globals.DATA_SOURCE_KEY);

    try {

       System.out.println("IN LIST");
      conn = dataSource.getConnection();
      stmt = conn.createStatement();
      rs =
        stmt.executeQuery("select * from customers where username='" + username + "'");

      while ( rs.next() ) {

        form = new CustomerForm();

        form.setUsername(rs.getString("username"));
        form.setPassword(rs.getString("password"));
        form.setFirstname(rs.getString("firstname"));
        form.setLastname(rs.getString("lastname"));
        form.setStreetname(rs.getString("streetname"));
        form.setStreetnumber(rs.getString("streetnumber"));
        form.setCity(rs.getString("city"));
        form.setProvince(rs.getString("province"));
        form.setPostal(rs.getString("postal"));
        form.setCcname(rs.getString("ccname"));
        form.setCcnumber(rs.getString("ccnumber"));
        form.setCcyear(rs.getString("ccyear"));
        form.setCcmonth(rs.getString("ccmonth"));
        form.setEmail(rs.getString("email"));



       customers.add(customer);




























      }
    }
    catch (SQLException e) {

      System.err.println("TESTL" + e.getMessage());
    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return form;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {

		// Default target to success
    String target = new String("success");

    LoginActionMapping LoginMapping =
      (LoginActionMapping)mapping;

    // Does this action require the user to login
    if ( LoginMapping.isLoginRequired() ) {

      HttpSession session = request.getSession();
      if ( session.getAttribute("USER") == null ) {

        // The user is not logged in
        target = new String("login");
        ActionErrors errors = new ActionErrors();

        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        // Report any errors we have discovered back to the original form
        if (errors!=null) {

          saveErrors(request, errors);
        }
      }
    }

    if ( isCancelled(request) ) {

      // Cancel pressed back to product list
      return (mapping.findForward(target));
    }

    try {

      form = buildCustomerForm(request.getParameter("username"));

      if ( form == null ) {

        System.err.println("---->form is null<----");
      }

      if ("request".equals(mapping.getScope())) {

      System.err.println("---->1<----");
        request.setAttribute(mapping.getAttribute(), form);
      System.err.println("---->2<----");
      }
      else {

      System.err.println("---->3<----");
        HttpSession session = request.getSession();
      System.err.println("---->4<----");
        session.setAttribute(mapping.getAttribute(), form);
      }
    }
    catch (Exception e) {

      System.err.println("Setting target to error");
      System.err.println("---->" + e.getMessage() + "<----");
      target = new String("error");
      ActionErrors errors = new ActionErrors();

      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error", e.getMessage()));

      // Report any errors
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }
	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}

}