package bdc;

import java.io.IOException;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

import org.apache.struts.Globals;
import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class DeleteCategoryAction extends Action {

 String target = new String("success");
 ActionErrors errors = new ActionErrors();

  protected void deleteCategory(String categoryid, ActionMapping mapping, HttpServletRequest request)
    throws Exception {

    String user = null;
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;

    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
      context.getAttribute(Globals.DATA_SOURCE_KEY);

    try {

      conn = dataSource.getConnection();
      stmt = conn.createStatement();

      StringBuffer sqlString =
   new StringBuffer("delete from category ");
      sqlString.append("where categoryid='" + categoryid + "'");

      stmt.execute(sqlString.toString());
    }
    catch(SQLException e)
    {


		 	System.err.println("IN");
		      errors.clear();
		      LoginActionMapping loginMapping =
		       (LoginActionMapping)mapping;

		       System.err.println(e.getMessage());

		        errors.add(ActionErrors.GLOBAL_ERROR,
		         new ActionError("errors.database.error", e.getMessage()));
		         target = new String("error");
		          saveErrors(request, errors);


	}
    finally {

      if (rs != null) {

        rs.close();
      }
      if (stmt != null) {

        stmt.close();
      }
      if (conn != null) {

        conn.close();
      }
    }
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {

	//Default to success


    LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

    //Check to see if user login is needed
    if ( loginMapping.isLoginRequired() ) {

      HttpSession session = request.getSession();
      if ( session.getAttribute("USER") == null ) {

        //User not logged in
        target = new String("login");

        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        // Transfer back to requesting form w/errors
        if (errors!=null) {

          saveErrors(request, errors);
        }
      }
    }

    try {

      deleteCategory(request.getParameter("categoryid"), mapping, request);
    }
    catch (Exception e) {

      System.err.println("Setting target to error");
      target = new String("error");


      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error",
        e.getMessage()));

      // Report errors
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }
	  //Transfer to correct view
	  return (mapping.findForward(target));
	}
}