-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.15-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema bdc
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ bdc;
USE bdc;

--
-- Table structure for table `bdc`.`category`
--

DROP TABLE IF EXISTS `category`;
CREATE TABLE `category` (
  `categoryid` varchar(45) NOT NULL default '',
  `categoryname` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bdc`.`category`
--

/*!40000 ALTER TABLE `category` DISABLE KEYS */;
INSERT INTO `category` (`categoryid`,`categoryname`) VALUES 
 ('book','book'),
 ('cd','cd4'),
 ('dvd','testf');
/*!40000 ALTER TABLE `category` ENABLE KEYS */;


--
-- Table structure for table `bdc`.`customers`
--

DROP TABLE IF EXISTS `customers`;
CREATE TABLE `customers` (
  `username` varchar(45) NOT NULL default '',
  `password` varchar(45) default '',
  `firstname` varchar(45) default '',
  `lastname` varchar(45) default '',
  `streetname` varchar(45) default '',
  `streetnumber` varchar(45) default '',
  `city` varchar(45) default '',
  `province` varchar(45) default '',
  `postal` varchar(45) default '',
  `ccname` varchar(45) default '',
  `ccnumber` varchar(45) default '',
  `ccmonth` varchar(45) default '',
  `ccyear` varchar(45) default '',
  `email` varchar(45) default '',
  PRIMARY KEY  (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bdc`.`customers`
--

/*!40000 ALTER TABLE `customers` DISABLE KEYS */;
INSERT INTO `customers` (`username`,`password`,`firstname`,`lastname`,`streetname`,`streetnumber`,`city`,`province`,`postal`,`ccname`,`ccnumber`,`ccmonth`,`ccyear`,`email`) VALUES 
 ('123456','s','d','d','d','d','d','d','d','VISA','111111111111111111111111111111111111111','1','2006','s'),
 ('asx','s','sd','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s'),
 ('ax','t','s','t','s','t','s','t','s','VISA','1111111111111111111111111','1','2006','4584'),
 ('axel','sk','k','k','k','k','k','k','kk','k','k2222222222222222222222222222','5','5',''),
 ('axelrose','rose','axel','rose','Carlton','20','Toronto','on','m5b 2h9','VISA','4551100123412341','10','2011','axel@hotmail.com'),
 ('axelrose8','5','5','55','5','5','5','5','5','VISA','5100000010001004','1','2006','5'),
 ('axelrose888888','5','5','55','5','5','5','5','5','VISA','5100000010001004','1','2006','5'),
 ('axelrosesd','d','d','d','d','d','d','d','d','VISA','1111111111111111111111111','1','2006','d'),
 ('axelrosesd52','d','d','d','d','d','d','d','d','VISA','1111111111111111111111111','1','2006','d'),
 ('axelrosesd523','d','d','d','d56','d','d','d','d','VISA','1111111111111111111111111','1','2006','d');
INSERT INTO `customers` (`username`,`password`,`firstname`,`lastname`,`streetname`,`streetnumber`,`city`,`province`,`postal`,`ccname`,`ccnumber`,`ccmonth`,`ccyear`,`email`) VALUES 
 ('axelroseses','2','2','2','2','20','2','2','2','VISA','1111111111111111111111111','1','2006','2'),
 ('axelrosett','s','s','ss','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s'),
 ('axelrosexxxx','e','s','t','s','t','s','t','s','VISA','1111111111111111111111111','1','2006','4584'),
 ('axelrosexxxxa','e','s','t','s','t','s','t','s','VISA','1111111111111111111111111','1','2006','4584'),
 ('axelrosexxxxxxxxxx','d','d','d','d','d','d','d','d','VISA','1111111111111111111111111','1','2006','d'),
 ('axssss','s','ss','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','1.'),
 ('d','','d','','','','','','','VISA','','1','2006',''),
 ('jake','jake','snake','snake','400','300','torotno','on','mamam','45111000111111111111111111','1211111111111111111111111111','1111111111111111111111','111111111111111111111111111',''),
 ('jim','brown','s','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s');
INSERT INTO `customers` (`username`,`password`,`firstname`,`lastname`,`streetname`,`streetnumber`,`city`,`province`,`postal`,`ccname`,`ccnumber`,`ccmonth`,`ccyear`,`email`) VALUES 
 ('joebrown','brown','k','k','k','k','k','k','k','VISA','111111111111111111111111111111111111111','1','2006','1.'),
 ('joejoe','k','k','k','k','k','kk','k','k','CITY BANK','1222222222222222222222222222222222222222','5','5',''),
 ('jojo','s','s','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s'),
 ('jojoe','s','k','k','kk','k','k','k','k','k','1111111111111111111111111111111111111','k','k',''),
 ('jojos','s','s','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s'),
 ('jojoss','s','s','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s'),
 ('jojossss','s','sd','s','s','s','s','s','s','VISA','1111111111111111111111111','1','2006','s'),
 ('maxhedroom','k','k','k','k','k','k','k','k','VISA','416666666666666666666666666666666666','1','null','45'),
 ('maxhedroom4','5','k','k','k','k','k','k','k','VISA','416666666666666666666666666666666666','1','null','45');
INSERT INTO `customers` (`username`,`password`,`firstname`,`lastname`,`streetname`,`streetnumber`,`city`,`province`,`postal`,`ccname`,`ccnumber`,`ccmonth`,`ccyear`,`email`) VALUES 
 ('maxhedroom45','1','k','k','k','k','k','k','k','VISA','416666666666666666666666666666666666','1','null','4584'),
 ('thomas','pppppppppppppppppppppppppppppppppp','p','ppp','p','pp','p','pp','p','p','ppppppppppppppppppppppppppp','p','p','');
/*!40000 ALTER TABLE `customers` ENABLE KEYS */;


--
-- Table structure for table `bdc`.`order`
--

DROP TABLE IF EXISTS `order`;
CREATE TABLE `order` (
  `orderid` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`orderid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bdc`.`order`
--

/*!40000 ALTER TABLE `order` DISABLE KEYS */;
/*!40000 ALTER TABLE `order` ENABLE KEYS */;


--
-- Table structure for table `bdc`.`orderitems`
--

DROP TABLE IF EXISTS `orderitems`;
CREATE TABLE `orderitems` (
  `orderitemid` int(10) unsigned NOT NULL auto_increment,
  `productid` varchar(45) NOT NULL default '',
  `quantity` varchar(45) NOT NULL default '',
  `username` varchar(45) NOT NULL default '',
  `timestamp` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`orderitemid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bdc`.`orderitems`
--

/*!40000 ALTER TABLE `orderitems` DISABLE KEYS */;
INSERT INTO `orderitems` (`orderitemid`,`productid`,`quantity`,`username`,`timestamp`) VALUES 
 (30,'5','5','thomas','0000-00-00 00:00:00'),
 (31,'5','5','thomas','0000-00-00 00:00:00'),
 (32,'5','3','thomas','0000-00-00 00:00:00'),
 (33,'5','3','thomas','0000-00-00 00:00:00'),
 (34,'1','3','thomas','0000-00-00 00:00:00'),
 (35,'4','4','thomas','0000-00-00 00:00:00'),
 (36,'4','4','thomas','0000-00-00 00:00:00'),
 (37,'1','3','thomas','0000-00-00 00:00:00'),
 (38,'4','5','thomas','0000-00-00 00:00:00'),
 (39,'1','5','thomas','0000-00-00 00:00:00'),
 (40,'4','10','thomas','0000-00-00 00:00:00'),
 (41,'49','11','thomas','0000-00-00 00:00:00'),
 (42,'57','5','thomas','0000-00-00 00:00:00'),
 (43,'65','13','thomas','0000-00-00 00:00:00'),
 (44,'1','3','thomas','0000-00-00 00:00:00'),
 (45,'6','3','thomas','0000-00-00 00:00:00'),
 (46,'52','3','thomas','0000-00-00 00:00:00'),
 (47,'6','3','thomas','0000-00-00 00:00:00'),
 (48,'65','3','thomas','0000-00-00 00:00:00'),
 (49,'1','3','thomas','0000-00-00 00:00:00'),
 (50,'19','2','thomas','0000-00-00 00:00:00');
INSERT INTO `orderitems` (`orderitemid`,`productid`,`quantity`,`username`,`timestamp`) VALUES 
 (51,'1','8','thomas','0000-00-00 00:00:00'),
 (52,'4','6','thomas','0000-00-00 00:00:00'),
 (53,'52','6','thomas','0000-00-00 00:00:00'),
 (54,'4','3','thomas','0000-00-00 00:00:00'),
 (55,'53','3','thomas','0000-00-00 00:00:00'),
 (56,'4','3','thomas','0000-00-00 00:00:00'),
 (57,'4','3','thomas','0000-00-00 00:00:00'),
 (58,'24','2','thomas','0000-00-00 00:00:00'),
 (59,'4','1','client','0000-00-00 00:00:00'),
 (60,'4','3','client','0000-00-00 00:00:00'),
 (61,'4','3','admin','0000-00-00 00:00:00'),
 (62,'9','1','client','0000-00-00 00:00:00'),
 (63,'5','1','client','0000-00-00 00:00:00'),
 (64,'5','1','client','0000-00-00 00:00:00'),
 (65,'7','4','client','0000-00-00 00:00:00'),
 (66,'5','3','client','0000-00-00 00:00:00'),
 (67,'5','4','client','0000-00-00 00:00:00'),
 (68,'5','1','client','0000-00-00 00:00:00'),
 (69,'5','3','client','0000-00-00 00:00:00'),
 (70,'5','9','client','0000-00-00 00:00:00'),
 (71,'9','3','client','0000-00-00 00:00:00');
INSERT INTO `orderitems` (`orderitemid`,`productid`,`quantity`,`username`,`timestamp`) VALUES 
 (72,'8','4','client','0000-00-00 00:00:00'),
 (73,'16','2','admin','0000-00-00 00:00:00'),
 (74,'5','1','thomas','0000-00-00 00:00:00'),
 (75,'9','5','thomas','0000-00-00 00:00:00'),
 (76,'5','1','axelrose','0000-00-00 00:00:00'),
 (77,'5','1','axelrose','0000-00-00 00:00:00'),
 (78,'6','4','axelrose','0000-00-00 00:00:00'),
 (79,'5','1','axelrose','0000-00-00 00:00:00'),
 (80,'7','3','axelrose','0000-00-00 00:00:00'),
 (81,'9','3','axelrose','0000-00-00 00:00:00'),
 (82,'9','1','axelrose','0000-00-00 00:00:00'),
 (83,'6','1','axelrose','0000-00-00 00:00:00'),
 (84,'9','1','axelrose','0000-00-00 00:00:00'),
 (85,'6','1','axelrose','0000-00-00 00:00:00'),
 (86,'5','2','axelrose','0000-00-00 00:00:00'),
 (87,'5','4','axelrose','0000-00-00 00:00:00'),
 (88,'5','1','axelrose','0000-00-00 00:00:00'),
 (89,'6','3','axelrose','0000-00-00 00:00:00'),
 (90,'5','1','thomas','0000-00-00 00:00:00'),
 (91,'10','1','axelrose','0000-00-00 00:00:00'),
 (92,'5','1','axelrose','0000-00-00 00:00:00');
INSERT INTO `orderitems` (`orderitemid`,`productid`,`quantity`,`username`,`timestamp`) VALUES 
 (93,'5','2','axelrose','0000-00-00 00:00:00');
/*!40000 ALTER TABLE `orderitems` ENABLE KEYS */;


--
-- Table structure for table `bdc`.`product`
--

DROP TABLE IF EXISTS `product`;
CREATE TABLE `product` (
  `productid` int(10) unsigned NOT NULL auto_increment,
  `productname` varchar(45) default '',
  `category` varchar(45) NOT NULL default '0',
  `quantity` varchar(45) default '',
  `flag` varchar(45) default '',
  `price` varchar(45) default '',
  `image` varchar(45) default '',
  PRIMARY KEY  (`productid`,`category`),
  KEY `FK_product_1` (`category`),
  CONSTRAINT `FK_product_1` FOREIGN KEY (`category`) REFERENCES `category` (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bdc`.`product`
--

/*!40000 ALTER TABLE `product` DISABLE KEYS */;
INSERT INTO `product` (`productid`,`productname`,`category`,`quantity`,`flag`,`price`,`image`) VALUES 
 (5,'The Firm by John Grisham','book','8','S','9.99','theFirmJohnGrisham'),
 (6,'A Breath Of Snow And Ash by D.Babaldon','book','11','S','16.99','aBreathOfSnowAndAshesDianaBabaldon'),
 (7,'A Feast For Crows by G.Martin','book','22','S','15.98','aFeastForCrowsGeorgeMartin'),
 (8,'A Million Little Pieces by J.Frey','book','12','S','14.00','aMillionLittlePiecesJamesFrey'),
 (9,'Blink By Malcom Gladwell','book','22','S','22.00','blinkMalcomGladwell'),
 (10,'A Question Of Blood by I.Rankin','book','35','R','26.49','aQuestionOfBloodIanRankin'),
 (11,'Eldest by C.Paolini','book','20','R','23.29','eldestChristopherPaolini'),
 (12,'Home Rules by N.Berkus','book','28','R','12.59','homeRulesNateBerkus'),
 (13,'Mary Mary by J.Patterson','book','85','R','18.79','jamesPattersonMaryMary'),
 (14,'Jarhead by A.Swofford','book','57','R','6.99','jarheadAnthonySwofford'),
 (15,'King Of Dreams By R.Jordan','book','77','R','17.99','kingOfDreamsRobertJordan'),
 (16,'Predator By P.Cornwell','book','51','R','12.98','predatorPatriciaCornwell');
INSERT INTO `product` (`productid`,`productname`,`category`,`quantity`,`flag`,`price`,`image`) VALUES 
 (17,'Race Against Time by S.Lewis','book','65','R','21.00','raceAgainstTimeStephenLewis'),
 (18,'Red Lily By Nora Roberts','book','87','R','28.99','redLilyNoraRoberts'),
 (19,'The Art Of Happiness At Work D.Lama','book','25','R','31.00','theArtOfHappinessAtWorkDalaiLama'),
 (20,'The Light House By P.D.James','book','63','R','25.00','theLighthousePDJames'),
 (21,'The Penelopiad By M.Atwood','book','9','R','12.88','thePenelopiadMargaretAtwood'),
 (22,'The Sea By John Banville','book','45','R','12.99','theSeaJohnBanville'),
 (23,'The Silver Spoon By P.Press','book','40','R','16.29','theSilverSpoonPhaidonPress'),
 (24,'Tuesdays With Morie By M.Albom','book','36','R','19.99','tuesdaysWithMorrieMitchAlbom'),
 (48,'Wet Asphalt','book','21','R','18.99','wetAsphalt'),
 (49,'The Recruit','dvd','77','R','16.99','theRecruit'),
 (50,'Runl Lola Run','dvd','7','R','15.59','runLolaRun'),
 (51,'Phone Booth','dvd','55','R','18.49','phoneBooth'),
 (52,'March Of The Penguins','dvd','55','R','16.99','marchOfThePenguins');
INSERT INTO `product` (`productid`,`productname`,`category`,`quantity`,`flag`,`price`,`image`) VALUES 
 (53,'Legends Of The Fall','dvd','21','R','15.59','legendsOfTheFall'),
 (54,'Kingdom Of Heaven','dvd','55','R','22.00','kingdomOfHeaven'),
 (55,'Gangs Of New York','dvd','44','R','18.99','gangsOfNewYork'),
 (56,'Frida','dvd','55','R','16.59','frida'),
 (57,'Empire Of The Sun','dvd','44','R','26.59','empireOfTheSun'),
 (61,'Deer Hunter','dvd','55','R','17.98','deerHunter'),
 (63,'Black Hawk Down','dvd','88','R','18.99','blackHawkDown'),
 (65,'Antwone Fisher','dvd','8','R','16.99','antwoneFisher'),
 (71,'About Schmidt','dvd','12','R','16.99','aboutSchmidt'),
 (72,'Cheers - Obie Trice','cd','88','R','18.99','cheersObieTrice'),
 (73,'Christopher - Sleep','cd','77','R','21.99','christopherSleep'),
 (74,'College Dropout - Kanye West','cd','55','R','21.99','collegeDropoutKanyeWest'),
 (75,'Curtain Call - Eminem','cd','44','R','15.59','curtainCallEminem'),
 (76,'Dragon Fly - Ziggy Marley','cd','55','R','21.99','dragonFlyZiggyMarley'),
 (77,'Ghetto Fabolous - Fabolous','cd','44','R','21.99','ghettoFabolousFabolous');
INSERT INTO `product` (`productid`,`productname`,`category`,`quantity`,`flag`,`price`,`image`) VALUES 
 (78,'Ghetto Life - Jah Cure','cd','77','R','21.99','ghettoLifeJahCure'),
 (79,'Hood Rich - Big Tymers','cd','4','R','14.99','hoodRichBigTymers'),
 (80,'Hot Shot - Shaggy','cd','44','R','18.99','hotShotShaggy'),
 (82,'Nellyville - Nelly','cd','44','R','15.59','nelllyNellyville'),
 (83,'Pain Is Love - Ja Rule','cd','55','R','14.99','painIsLoveJaRule'),
 (84,'Soley - Dobacaracol','cd','84','R','15.59','soleyDobacaracol'),
 (85,'The Problem - Mathematics','cd','77','R','20.99','theProblemMathematics'),
 (86,'The Trinity - Sean Paul','cd','47','R','18.99','theTrinitySeanPaul'),
 (87,'Greatest Hits - The Doors','cd','55','R','20.99','doorsGreatestHits'),
 (88,'Greatest Hits - The Beatles','cd','44','R','20.99','beatlesGreatestHits');
/*!40000 ALTER TABLE `product` ENABLE KEYS */;


--
-- Table structure for table `bdc`.`roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `roleid` int(10) unsigned NOT NULL auto_increment,
  `role` varchar(45) NOT NULL default '',
  `username` varchar(45) NOT NULL default '',
  `password` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`roleid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `bdc`.`roles`
--

/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`roleid`,`role`,`username`,`password`) VALUES 
 (1,'client','thomas','thomas'),
 (2,'admin','joe','smith');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
