package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.ArrayList;

public class AddProductAction extends Action {

 String target = new String("success");
 ActionErrors errors = new ActionErrors();

  protected ArrayList addProduct(ActionForm form, ActionMapping mapping, HttpServletRequest request) {

    //Product product = null;
    ArrayList products = new ArrayList();
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;
    String autoinc = " ";


    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
      context.getAttribute(Globals.DATA_SOURCE_KEY);

   try {
		 System.err.println("INSIDE ADD");
      ProductForm pForm = (ProductForm)form;
      conn = dataSource.getConnection();
      stmt = conn.createStatement();

      StringBuffer sqlString =
        new StringBuffer("insert into product (productname, category, quantity, price, flag) ");
      sqlString.append("values (\""
	    + pForm.getProductname() + "\", ");
      sqlString.append("\""
        + pForm.getCategory() + "\", ");
      sqlString.append("\""
        + pForm.getQuantity() + "\", ");
      sqlString.append("\""
        + pForm.getPrice() + "\", ");
      sqlString.append("\""
        + pForm.getFlag() + "\")");
      target = new String("success");

      stmt.execute(sqlString.toString());

    }
    catch (SQLException e) {
		System.out.println("IN");
     errors.clear();
     LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

      System.err.println(e.getMessage());

       errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error", e.getMessage()));
        target = new String("error");
         saveErrors(request, errors);


    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return products;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {

		// Default target to success


    LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

    // Does this action require the user to login
    if ( loginMapping.isLoginRequired() ) {

      HttpSession session = request.getSession();
      if ( session.getAttribute("USER") == null ) {

        // The user is not logged in
        target = new String("login");


        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        // Report any errors we have discovered back
        // to the original form
        if (errors!=null) {

          saveErrors(request, errors);
        }
      }
    }

    if ( isCancelled(request) ) {

      // Cancel pressed back to product list
      return (mapping.findForward("success"));
    }

    try {

      addProduct(form, mapping, request);


    }
    catch (Exception e)
    {

      System.err.println("Setting target to error");
      target = new String("error");


      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error", e.getMessage()));

      // Report any errors
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }
	  // Forward to the appropriate View

	  return (mapping.findForward(target));
	}
}