package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.ArrayList;

public class CategoryListAction extends Action {


  protected ArrayList getCategories() {

    Category category = null;
    ArrayList categories = new ArrayList();
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;

    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
      context.getAttribute(Globals.DATA_SOURCE_KEY);

    try {

      conn = dataSource.getConnection();
      stmt = conn.createStatement();
      rs =
        stmt.executeQuery("select * from category");
         System.out.println("inside cat list action");
      while ( rs.next() ) {

        category = new Category();

        category.setCategoryid(rs.getString("categoryid"));
        category.setCategoryname(rs.getString("categoryname"));



        categories.add(category);

		System.err.println("Category Id : " + category.getCategoryid());
        System.err.println("Category Name : " + category.getCategoryname());

      }
    }
    catch (SQLException e) {

      System.err.println("TESTL" + e.getMessage());
    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return categories;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException
	{

	// Default target is success
    String target = new String("success");

    LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

    // Check if login needed
    if (loginMapping.isLoginRequired() )
    {

      HttpSession session = request.getSession();

      if ( session.getAttribute("USER") == null )
      {

        // User not logged in
        target = new String("login");
        ActionErrors errors = new ActionErrors();

        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        //Report errors back to calling form
        if (errors!=null)
        {
          saveErrors(request, errors);
        }
      }
    }

    ArrayList categories = null;

    categories = getCategories();

    // Target set to failure
    if ( categories == null ) {

      target = new String("login");
    }
    else {

      request.setAttribute("categories", categories);
    }
	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}
}