package bdc;
import java.util.ListIterator ;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Vector;
import java.util.ArrayList;
import java.util.Iterator ;
import java.util.Enumeration;
public class ConfirmAction extends Action {

  protected ArrayList Confirm(ActionForm form, HttpServletRequest request) {

	   HttpSession session = request.getSession();
    //Product product = null;
    ArrayList products = new ArrayList();
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;
    String autoinc = " ";
    Product prodObj = new Product();

    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
    context.getAttribute(Globals.DATA_SOURCE_KEY);



   Vector productArray = (Vector) session.getAttribute("products");
   String username = (String) session.getAttribute("USER");



   try {


	  for(Enumeration e = productArray.elements(); e.hasMoreElements();)
	  {
		  System.out.println("CONFIRMING>>");
	  	  prodObj = (Product) e.nextElement();
	  	  String productid = prodObj.getProductid();
	  	  String quantity = prodObj.getQuantity();

          conn = dataSource.getConnection();
          stmt = conn.createStatement();
		  StringBuffer sqlString = new StringBuffer("insert into orderitems (productid, quantity, username) values ('" + productid + "', '" + quantity + "', '" + username +"')");


		  /*
		  new StringBuffer("insert into orderitems (productid, quantity, username) ");
		         sqlString.append("values (\""
		   	    + productid + "\", ");
		         sqlString.append("\""
		        + quantity + "\", ");
		         sqlString.append("\""
                + username + "\")");
                 new StringBuffer("insert into orderitems (productid, quantity, username) values ('" + productid + "')");*/


           stmt.execute(sqlString.toString());

           System.out.println("CONFIRMED>>");
      }



    }
    catch (SQLException e) {

      System.err.println(e.getMessage());
    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return products;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {
      HttpSession session = request.getSession();
		// Default target to success
    String target = new String("success");

    LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

    // Does this action require the user to login
    if ( loginMapping.isLoginRequired() ) {


      if ( session.getAttribute("USER") == null ) {

        // The user is not logged in
        target = new String("login");
        ActionErrors errors = new ActionErrors();

        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        // Report any errors we have discovered back
        // to the original form
        if (errors!=null) {

          saveErrors(request, errors);
        }
      }
    }

    if ( isCancelled(request) ) {

      // Cancel pressed back to employee list
      return (mapping.findForward("success"));
    }

    try {

      Confirm(form, request);
      session.setAttribute("products", null);
      request.setAttribute("products", null);
      session.setAttribute("USER", null);
    }
    catch (Exception e) {

      System.err.println("Setting target to error");
      target = new String("error");
      ActionErrors errors = new ActionErrors();

      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error", e.getMessage()));

      // Report any errors
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }

	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}
}