package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class CustomerLoginAction extends Action {

  protected String getUser(String username, String password) {

    String user = null;
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;

    DataSource dataSource = (DataSource)
      servlet.getServletContext().getAttribute(Globals.DATA_SOURCE_KEY);

    try {

      conn = dataSource.getConnection();
      stmt = conn.createStatement();
      rs = stmt.executeQuery("select * from customers where username=\'"
        + username + "' "
        + "and password='" + password + "'");

      if ( rs.next() ) {

        user = rs.getString("username");
        // Iterate over the results
        System.err.println("Username : "
          + rs.getString("username")
          + " Password : " + rs.getString("password"));
      }
      else {

        System.err.println("Incorrect Login/Password");
      }
    }
    catch (SQLException e) {

      System.err.println(e.getMessage());
    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return user;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {

    String user = null;

		// Default target to success
    String target = new String("success");

    // Use the LoginForm to get the request parameters
	  String username = ((LoginForm)form).getUsername();
	  String password = ((LoginForm)form).getPassword();

    user = getUser(username, password);

    // Set the target to failure
    if ( user == null ) {

      target = new String("login");
      ActionErrors errors = new ActionErrors();

      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.login.unknown",
                        username));

      // Report any errors we have discovered back to the original form
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }
    else {

      HttpSession session = request.getSession();
      session.setAttribute("USER", user);
    }
	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}
}