package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.ArrayList;

public class FeProductListAction extends Action {

  protected ArrayList getProducts(ActionForm form) {

    Product product = null;
    ArrayList products = new ArrayList();
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;

    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
      context.getAttribute(Globals.DATA_SOURCE_KEY);

    try {

      ProductForm pForm = (ProductForm)form;


      conn = dataSource.getConnection();
      stmt = conn.createStatement();

      if(pForm == null)
      {

      	rs = stmt.executeQuery("select * from product where flag like '%S%'");
  	  }
  	  else
  	  {
		String prodID = pForm.getProductid();
		rs = stmt.executeQuery("select * from product where productid=" + prodID);
  	  }


      while ( rs.next() ) {

        product = new Product();

        product.setProductid(rs.getString("productid"));
        product.setProductname(rs.getString("productname"));
        product.setCategory(rs.getString("category"));
        product.setQuantity(rs.getString("quantity"));
        product.setFlag(rs.getString("flag"));
        product.setPrice(rs.getString("price"));
        product.setImage(rs.getString("image"));


        products.add(product);
/*
		System.err.println("Product Id : " + product.getProductid());
        System.err.println("Product Name : " + product.getProductname());
        System.err.println("Product Category : " + product.getCategory());
        System.err.println("Product Quantity : " + product.getQuantity());
        System.err.println("Product Flag : " + product.getFlag());
        System.err.println("Product Price : " + product.getPrice());
        System.err.println("Product Price : " + product.getImage());*/
      }
    }
    catch (SQLException e) {

      System.err.println(e.getMessage());
    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return products;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException
	{


    String target = new String("success");

    ArrayList products = null;

    products = getProducts(form);

      request.setAttribute("products", products);

	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}
}