package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class GetProductAction extends Action {

  protected ActionForm buildProductForm(String productid) throws Exception {

    String user = null;
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;
    ProductForm form = null;


    DataSource dataSource = (DataSource)
      servlet.getServletContext().getAttribute(Globals.DATA_SOURCE_KEY);

    try {

      conn = dataSource.getConnection();
      stmt = conn.createStatement();

      rs = stmt.executeQuery("select * from product where productid ='" + productid + "'");

      if (rs.next() ) {

        form = new ProductForm();

        form.setProductid(rs.getString("productid"));
        form.setProductname(rs.getString("productname"));
        form.setCategory(rs.getString("category"));
        form.setQuantity(rs.getString("quantity"));
        form.setFlag(rs.getString("flag"));
        form.setPrice(rs.getString("price"));

        form.setImage(rs.getString("image"));






      }
      else {

        throw new Exception("Product " + productid + " not found!");
      }
    }
    finally {

      if (rs != null) {

          rs.close();
      }
      if (stmt != null) {

          stmt.close();
      }
      if (conn != null) {

          conn.close();
      }
    }
    return form;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {

		// Default target to success
    String target = new String("success");

    LoginActionMapping LoginMapping =
      (LoginActionMapping)mapping;

    // Does this action require the user to login
    if ( LoginMapping.isLoginRequired() ) {

      HttpSession session = request.getSession();
      if ( session.getAttribute("USER") == null ) {

        // The user is not logged in
        target = new String("login");
        ActionErrors errors = new ActionErrors();

        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        // Report any errors we have discovered back to the original form
        if (errors!=null) {

          saveErrors(request, errors);
        }
      }
    }

    if ( isCancelled(request) ) {

      // Cancel pressed back to product list
      return (mapping.findForward(target));
    }

    try {

      form = buildProductForm(request.getParameter("productid"));

      if ( form == null ) {

        System.err.println("---->form is null<----");
      }

      if ("request".equals(mapping.getScope())) {

      System.err.println("---->1<----");
        request.setAttribute(mapping.getAttribute(), form);
      System.err.println("---->2<----");
      }
      else {

      System.err.println("---->3<----");
        HttpSession session = request.getSession();
      System.err.println("---->4<----");
        session.setAttribute(mapping.getAttribute(), form);
      }
    }
    catch (Exception e) {

      System.err.println("Setting target to error");
      System.err.println("---->" + e.getMessage() + "<----");
      target = new String("error");
      ActionErrors errors = new ActionErrors();

      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error", e.getMessage()));

      // Report any errors
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }
	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}
}