package bdc;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

public class SearchForm extends ActionForm
{
  private String searchstring = null;



  public String getSearchstring()
  {

		return (this.searchstring);
  }

  public void setSearchstring(String searchstring)
  {
		this.searchstring = searchstring;
  }



  // This method is called with every request. It resets the Form
  // attribute prior to setting the values in the new request.
  public void reset(ActionMapping mapping, HttpServletRequest request) {

		this.searchstring = "";

	}

  public ActionErrors validate(ActionMapping mapping,
    HttpServletRequest request) {

    ActionErrors errors = new ActionErrors();


    if ( (searchstring == null ) || (searchstring.length() == 0) || (searchstring.equals("")) )
    {

      errors.add("search", new ActionError("errors.search.required"));
    }
    return errors;
  }
}
