package bdc;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.Globals;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.ArrayList;

public class ViewProductAction extends Action {

  protected ArrayList viewProduct(ActionForm form) {

    Product product = null;
    ArrayList products = new ArrayList();
    Connection conn = null;
    Statement stmt = null;
    ResultSet rs = null;
    String autoinc = " ";

    ServletContext context = servlet.getServletContext();
    DataSource dataSource = (DataSource)
      context.getAttribute(Globals.DATA_SOURCE_KEY);
	System.err.println("przystal0");
   try {

      ProductForm pForm = (ProductForm)form;
      conn = dataSource.getConnection();
      stmt = conn.createStatement();

		System.err.println("PROD ID: " + pForm.getProductid());

 		StringBuffer sqlString =
        new StringBuffer("update product ");

      sqlString.append("set productname='"
        + pForm.getProductname() + "', ");
      sqlString.append("category='"
        + pForm.getCategory() + "', ");
      sqlString.append("quantity='"
        + pForm.getQuantity() + "', ");
      sqlString.append("flag='"
        + pForm.getFlag() + "'");
      sqlString.append(" where productid='"
        + pForm.getProductid() + "'");




      stmt.execute(sqlString.toString());
    }
    catch (SQLException e) {

      System.err.println(e.getMessage());
    }
    finally {

      if (rs != null) {

        try {

          rs.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        rs = null;
      }
      if (stmt != null) {

        try {

          stmt.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        stmt = null;
      }
      if (conn != null) {

        try {

          conn.close();
        }
        catch (SQLException sqle) {

          System.err.println(sqle.getMessage());
        }
        conn = null;
      }
    }
    return products;
  }

	public ActionForward perform(ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException, ServletException {

    ProductForm pForm = (ProductForm)form;




		// Default target to success
    String target = new String("success");

    LoginActionMapping loginMapping =
      (LoginActionMapping)mapping;

    // Does this action require the user to login
    if ( loginMapping.isLoginRequired() ) {

      HttpSession session = request.getSession();
      if ( session.getAttribute("USER") == null ) {

        // The user is not logged in
        target = new String("login");
        ActionErrors errors = new ActionErrors();

        errors.add(ActionErrors.GLOBAL_ERROR,
          new ActionError("errors.login.required"));

        // Report any errors we have discovered back
        // to the original form
        if (errors!=null) {

          saveErrors(request, errors);
        }
      }
    }

    if ( isCancelled(request) ) {

      // Cancel pressed back to employee list
      return (mapping.findForward("success"));
    }

    try {

      viewProduct(form);
    }
    catch (Exception e) {

      System.err.println("Setting target to error");
      target = new String("error");
      ActionErrors errors = new ActionErrors();

      errors.add(ActionErrors.GLOBAL_ERROR,
        new ActionError("errors.database.error", e.getMessage()));

      // Report any errors
      if (errors!=null) {

        saveErrors(request, errors);
      }
    }
	  // Forward to the appropriate View
	  return (mapping.findForward(target));
	}
}